## org.apache.html.dom
Class HTMLHRElementImpl

    java.lang.Object
      org.apache.xerces.dom.NodeImpl
          org.apache.xerces.dom.ChildNode
              org.apache.xerces.dom.ParentNode
                  org.apache.xerces.dom.ElementImpl
                      org.apache.html.dom.HTMLElementImpl
                          org.apache.html.dom.HTMLHRElementImpl

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable, org.w3c.dom.Element, org.w3c.dom.events.EventTarget, org.w3c.dom.html.HTMLElement, org.w3c.dom.html.HTMLHRElement, org.w3c.dom.Node, org.w3c.dom.NodeList, org.w3c.dom.TypeInfo

    public class HTMLHRElementImpl

extends HTMLElementImpl
implements org.w3c.dom.html.HTMLHRElement

Version:
  $Revision: 447255 $ $Date: 2006-09-18 01:36:42 -0400 (Mon, 18 Sep 2006) $
Author:
  Assaf Arkin
See Also:
  `HTMLHRElement`, `ElementImpl`, Serialized Form

# INTERNAL:

  Usage of this class is not supported. It may be altered or removed at any time.

Field Summary

Fields inherited from class org.apache.xerces.dom.ElementImpl
`attributes, name`

Fields inherited from class org.apache.xerces.dom.ParentNode
`firstChild, fNodeListCache, ownerDocument`

Fields inherited from class org.apache.xerces.dom.ChildNode
`nextSibling, previousSibling`

Fields inherited from class org.apache.xerces.dom.NodeImpl

`DOCUMENT_POSITION_CONTAINS, DOCUMENT_POSITION_DISCONNECTED, DOCUMENT_POSITION_FOLLOWING, DOCUMENT_POSITION_IMPLEMENTATION_SPECIFIC, DOCUMENT_POSITION_IS_CONTAINED, DOCUMENT_POSITION_PRECEDING, ELEMENT_DEFINITION_NODE, FIRSTCHILD, flags, HASSTRING, ID, IGNORABLEWS, NORMALIZED, OWNED, ownerNode, READONLY, SPECIFIED, SYNCCHILDREN, SYNCDATA, TREE_POSITION_ANCESTOR, TREE_POSITION_DESCENDANT, TREE_POSITION_DISCONNECTED, TREE_POSITION_EQUIVALENT, TREE_POSITION_FOLLOWING, TREE_POSITION_PRECEDING, TREE_POSITION_SAME_NODE`

Fields inherited from interface org.w3c.dom.Node

`ATTRIBUTE_NODE, CDATA_SECTION_NODE, COMMENT_NODE, DOCUMENT_FRAGMENT_NODE, DOCUMENT_NODE, DOCUMENT_POSITION_CONTAINED_BY, DOCUMENT_POSITION_CONTAINS, DOCUMENT_POSITION_DISCONNECTED, DOCUMENT_POSITION_FOLLOWING, DOCUMENT_POSITION_IMPLEMENTATION_SPECIFIC, DOCUMENT_POSITION_PRECEDING, DOCUMENT_TYPE_NODE, ELEMENT_NODE, ENTITY_NODE, ENTITY_REFERENCE_NODE, NOTATION_NODE, PROCESSING_INSTRUCTION_NODE, TEXT_NODE`

Fields inherited from interface org.w3c.dom.TypeInfo
`DERIVATION_EXTENSION, DERIVATION_LIST, DERIVATION_RESTRICTION, DERIVATION_UNION`

Constructor Summary
`HTMLHRElementImpl(HTMLDocumentImpl owner, java.lang.String name)` Constructor requires owner document.

Method Summary
`java.lang.String` `getAlign()` Align the rule on the page.
`boolean` `getNoShade()` Indicates to the user agent that there should be no shading in the rendering of this element.
`java.lang.String` `getSize()` The height of the rule.
`java.lang.String` `getWidth()` The width of the rule.
`void` `setAlign(java.lang.String align)`
`void` `setNoShade(boolean noShade)`
`void` `setSize(java.lang.String size)`
`void` `setWidth(java.lang.String width)`

Methods inherited from class org.apache.html.dom.HTMLElementImpl
`getAttribute, getAttributeNode, getAttributeNodeNS, getAttributeNS, getClassName, getDir, getElementsByTagName, getElementsByTagNameNS, getForm, getId, getLang, getTitle, setClassName, setDir, setId, setLang, setTitle`

Methods inherited from class org.apache.xerces.dom.ElementImpl

`cloneNode, getAttributes, getBaseURI, getDefaultAttributes, getNodeName, getNodeType, getSchemaTypeInfo, getTagName, getTypeName, getTypeNamespace, getXercesAttribute, hasAttribute, hasAttributeNS, hasAttributes, isDerivedFrom, isEqualNode, normalize, reconcileDefaultAttributes, removeAttribute, removeAttributeNode, removeAttributeNS, setAttribute, setAttributeNode, setAttributeNodeNS, setAttributeNS, setIdAttribute, setIdAttributeNode, setIdAttributeNS, setOwnerDocument, setReadOnly, setupDefaultAttributes, setXercesAttributeNode, synchronizeData`

Methods inherited from class org.apache.xerces.dom.ParentNode
`getChildNodes, getChildNodesUnoptimized, getFirstChild, getLastChild, getLength, getOwnerDocument, getTextContent, hasChildNodes, insertBefore, item, removeChild, replaceChild, setTextContent, synchronizeChildren`

Methods inherited from class org.apache.xerces.dom.ChildNode
`getNextSibling, getParentNode, getPreviousSibling`

Methods inherited from class org.apache.xerces.dom.NodeImpl

`addEventListener, appendChild, changed, changes, compareDocumentPosition, compareTreePosition, dispatchEvent, getContainer, getFeature, getLocalName, getNamespaceURI, getNodeNumber, getNodeValue, getPrefix, getReadOnly, getUserData, getUserData, getUserDataRecord, isDefaultNamespace, isSameNode, isSupported, lookupNamespaceURI, lookupPrefix, needsSyncChildren, removeEventListener, setNodeValue, setPrefix, setUserData, setUserData, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.w3c.dom.html.HTMLElement
`getClassName, getDir, getId, getLang, getTitle, setClassName, setDir, setId, setLang, setTitle`

Methods inherited from interface org.w3c.dom.Element
`getAttribute, getAttributeNode, getAttributeNodeNS, getAttributeNS, getElementsByTagName, getElementsByTagNameNS, getSchemaTypeInfo, getTagName, hasAttribute, hasAttributeNS, removeAttribute, removeAttributeNode, removeAttributeNS, setAttribute, setAttributeNode, setAttributeNodeNS, setAttributeNS, setIdAttribute, setIdAttributeNode, setIdAttributeNS`

Methods inherited from interface org.w3c.dom.Node

`appendChild, cloneNode, compareDocumentPosition, getAttributes, getBaseURI, getChildNodes, getFeature, getFirstChild, getLastChild, getLocalName, getNamespaceURI, getNextSibling, getNodeName, getNodeType, getNodeValue, getOwnerDocument, getParentNode, getPrefix, getPreviousSibling, getTextContent, getUserData, hasAttributes, hasChildNodes, insertBefore, isDefaultNamespace, isEqualNode, isSameNode, isSupported, lookupNamespaceURI, lookupPrefix, normalize, removeChild, replaceChild, setNodeValue, setPrefix, setTextContent, setUserData`

Constructor Detail

### HTMLHRElementImpl

    public HTMLHRElementImpl(HTMLDocumentImpl owner,
                             java.lang.String name)

  Constructor requires owner document.

  Parameters:
    `owner` - The owner HTML document

Method Detail

### getAlign

    public java.lang.String getAlign()

  Description copied from interface: `org.w3c.dom.html.HTMLHRElement`
  Align the rule on the page. See the align attribute definition in HTML 4.0. This attribute is deprecated in HTML 4.0.

  Specified by:
    `getAlign` in interface `org.w3c.dom.html.HTMLHRElement`

### setAlign

    public void setAlign(java.lang.String align)

  Specified by:
    `setAlign` in interface `org.w3c.dom.html.HTMLHRElement`

### getNoShade

    public boolean getNoShade()

  Description copied from interface: `org.w3c.dom.html.HTMLHRElement`
  Indicates to the user agent that there should be no shading in the rendering of this element. See the noshade attribute definition in HTML 4.0. This attribute is deprecated in HTML 4.0.

  Specified by:
    `getNoShade` in interface `org.w3c.dom.html.HTMLHRElement`

### setNoShade

    public void setNoShade(boolean noShade)

  Specified by:
    `setNoShade` in interface `org.w3c.dom.html.HTMLHRElement`

### getSize

    public java.lang.String getSize()

  Description copied from interface: `org.w3c.dom.html.HTMLHRElement`
  The height of the rule. See the size attribute definition in HTML 4.0. This attribute is deprecated in HTML 4.0.

  Specified by:
    `getSize` in interface `org.w3c.dom.html.HTMLHRElement`

### setSize

    public void setSize(java.lang.String size)

  Specified by:
    `setSize` in interface `org.w3c.dom.html.HTMLHRElement`

### getWidth

    public java.lang.String getWidth()

  Description copied from interface: `org.w3c.dom.html.HTMLHRElement`
  The width of the rule. See the width attribute definition in HTML 4.0. This attribute is deprecated in HTML 4.0.

  Specified by:
    `getWidth` in interface `org.w3c.dom.html.HTMLHRElement`

### setWidth

    public void setWidth(java.lang.String width)

  Specified by:
    `setWidth` in interface `org.w3c.dom.html.HTMLHRElement`

Copyright © 1999-2006 The Apache Software Foundation. All Rights Reserved.